Forum: Ruby on Rails Rails 2.3, restful_authentication, and passenger

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-17 13:03
(Received via mailing list)
I can no longer login using the latest passenger + Rails 2.3 with the
restful_authentication plugin. If I run a quick "script/server"
everything is fine. Anyone else having trouble with this?
40db9e75b3f5899258e3bdc0c9210154?d=identicon&s=25 Conrad Taylor (conradwt)
on 2009-03-17 20:08
(Received via mailing list)
On Tue, Mar 17, 2009 at 5:03 AM, yaphi <jcontonio@gmail.com> wrote:

>
> I can no longer login using the latest passenger + Rails 2.3 with the
> restful_authentication plugin. If I run a quick "script/server"
> everything is fine. Anyone else having trouble with this?


Hi, did you update your project configuration files?  i.e.  rake
rails:update

-Conrad
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-17 20:18
(Received via mailing list)
Yup. I did that, upgraded to Passenger 2.1.2 (which Rails 2.3
required)
40db9e75b3f5899258e3bdc0c9210154?d=identicon&s=25 Conrad Taylor (conradwt)
on 2009-03-17 20:45
(Received via mailing list)
On Tue, Mar 17, 2009 at 12:09 PM, yaphi <jcontonio@gmail.com> wrote:

> >
> > Hi, did you update your project configuration files?  i.e.  rake
> > rails:update
> >
> > -Conrad
> >
>

Hi, did you verify that restful_authentication plugin is compatible with
Rails 2.3.2?
I tend to make a copy of my rails project and experiment with the copy
when
moving
to the next release.

-Conrad
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-17 20:49
(Received via mailing list)
Yeah it works when I run script/server which is using mongrel I guess?
Won't work with my local passenger install. I'll just wait a while
maybe there's something that changed.
40db9e75b3f5899258e3bdc0c9210154?d=identicon&s=25 Conrad Taylor (conradwt)
on 2009-03-17 20:54
(Received via mailing list)
On Tue, Mar 17, 2009 at 12:48 PM, yaphi <jcontonio@gmail.com> wrote:

> > > required)
> > > > rails:update
> > -Conrad
>

Hi, when you say won't work, you should provide any information about
the
error
messages that you're seeing in the web browser or log file.  This will
help
people
help you.

-Conrad
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-17 20:58
(Received via mailing list)
That's the funny part. I get no errors it just spits me back to the
login screen. I'm digging into it now and hopefully I find something.
6883e5ef03484d4fcef507d7b4f1d243?d=identicon&s=25 Matt Jones (Guest)
on 2009-03-18 01:47
(Received via mailing list)
As a sanity check, did you update the location of Passenger in your
Apache config?
I've made that mistake...

--Matt Jones
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-18 11:17
(Received via mailing list)
That could very well be it because yes I forgot to do that. Thank you.
11333f97a96662abe5d1e44fe1adf372?d=identicon&s=25 yaphi (Guest)
on 2009-03-18 11:44
(Received via mailing list)
That did it! So anyone reading this, don't forget to "passenger-
install-apache2-module" after running a gem update for 2.1.2
Thanks Matt.
This topic is locked and can not be replied to.